Bug 197191 - xfs and Xserver fail to start after normal upgrade
xfs and Xserver fail to start after normal upgrade
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-xfs (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-29 01:32 EDT by Peter Gordon
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 09:31:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2006-06-29 01:32:32 EDT
Description of problem:
A normal upgrade of xfs deletes the config file in /etc/X11/fs. xfs doesn't
start, the Xserver doesn't start.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum -y update
This reinstalls xfs.
In the directory /etc/X11/fs there are two files, config.rpmnew and
config.rpmsave. But there is no config file, so xfs fails to start and then the
X server fails to start.
  
Actual results:


Expected results:


Additional info:
Copying the file config.rpmnew to config seems to fix the problem
This is the relevant log from yum.

Jun 29 00:24:09 Erased: xorg-x11-xfs
Jun 29 00:24:09 Updated: NetworkManager-glib.i386 0.6.3-1.fc5
Jun 29 00:39:34 Updated: tetex-latex.i386 3.0-20.FC5
Jun 29 01:00:30 Updated: gdm.i386 1:2.14.9-1
Jun 29 01:00:31 Updated: mkbootdisk.noarch 1.5.2-7
Jun 29 01:01:46 Updated: system-config-lvm.noarch 1.0.18-1.2.FC5
Jun 29 01:02:10 Updated: xorg-x11-xdm.i386 1:1.0.1-2
Jun 29 01:02:39 Updated: autofs.i386 1:4.1.4-29
Jun 29 01:02:39 Updated: mesa-libGLU-devel.i386 6.4.2-6.FC5.3
Jun 29 01:02:40 Updated: xorg-x11-xfs.i386 1:1.0.1-4.FC5.0
Jun 29 01:03:03 Updated: tetex-xdvi.i386 3.0-20.FC5
Jun 29 01:03:04 Updated: xorg-x11-xfs-utils.i386 1:1.0.1-4.FC5.0
Jun 29 01:03:30 Updated: kdeutils-devel.i386 6:3.5.3-0.2.fc5
Jun 29 01:03:31 Updated: xorg-x11-xtrans-devel.i386 1.0.0-3.2.FC5.0
Jun 29 01:03:55 Updated: xorg-x11-apps.i386 7.0-1
Jun 29 01:15:53 Installed: kernel.i686 2.6.17-1.2139_FC5
Jun 29 01:15:53 Updated: mesa-libGLw-devel.i386 6.4.2-6.FC5.3
Jun 29 01:16:10 Updated: NetworkManager-gnome.i386 0.6.3-1.fc5
Jun 29 01:16:12 Updated: shared-mime-info.i386 0.17-1.fc5.2
Jun 29 01:22:40 Updated: python-devel.i386 2.4.3-8.FC5
Jun 29 01:22:41 Updated: cscope.i386 15.5-13.7
Comment 1 Matěj Cepl 2007-07-03 09:50:04 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 2 Matěj Cepl 2007-08-03 09:31:47 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.